#ifndef __PREFS_COMMON_H__
#define __PREFS_COMMON_H__

#include <glib.h>

#include "mainwindow.h"

typedef struct _PrefsCommon	PrefsCommon;

struct _PrefsCommon
{
	/* Compose */
	gchar *quotemark;
	gchar *quotefmt;
	gboolean auto_sig;
	gchar *sig_sep;

	/* Receive */
	gboolean use_extinc;
	gchar *extinc_path;
	gboolean inc_local;
	gboolean filter_on_inc;
	gchar *spool_path;
	gboolean autochk_newmail;
	gint autochk_itv;
	gboolean chk_on_startup;

	/* Send */
	gboolean use_extsend;
	gchar *extsend_path;
	gboolean savemsg;
	gboolean queue_msg;

	/* Filtering */
	GSList *fltlist;

	/* Display */
	gchar *widgetfont;
	gchar *messagefont;
	gboolean enable_color;
	gushort quote_col;
	gushort uri_col;
	gushort sig_col;
	ToolbarStyle toolbar_style;
	gboolean trans_hdr;
	gboolean enable_thread;
	gboolean conv_mb_alnum;
	gboolean head_space;
	gboolean swap_from;
	gint line_space;

	/* MIME viewer */
	gchar *mime_image_viewer;
	gchar *mime_audio_player;

	gchar *force_charset;

	gboolean show_mark;
	gboolean show_unread;
	gboolean show_mime;
	gboolean show_number;
	gboolean show_size;
	gboolean show_date;
	gboolean show_from;
	gboolean show_subject;

	gint folderview_x;
	gint folderview_y;
	gint folderview_width;
	gint folderview_height;
	gint folder_col_folder;
	gint folder_col_new;
	gint folder_col_unread;
	gint folder_col_total;
	gint summaryview_width;
	gint summaryview_height;
	gint summary_col_mark;
	gint summary_col_unread;
	gint summary_col_mime;
	gint summary_col_number;
	gint summary_col_size;
	gint summary_col_date;
	gint summary_col_from;
	gint summary_col_subject;
	gint mainview_x;
	gint mainview_y;
	gint mainview_width;
	gint mainview_height;
	gint mainwin_x;
	gint mainwin_y;
	gint mainwin_width;
	gint mainwin_height;
	gint compose_width;
	gint compose_height;

	/* Interface */
	gboolean sep_folder;
	gboolean sep_msg;
	gboolean emulate_emacs;
	gboolean open_unread_on_enter;
	gboolean confirm_on_exit;
	gboolean clean_on_exit;
	gboolean ask_on_clean;

	/* Other */
	gchar *uri_cmd;
	gchar *print_cmd;
};

extern PrefsCommon prefs_common;

void prefs_common_read_config	(void);
void prefs_common_save_config	(void);
void prefs_common_open		(void);

void prefs_summary_display_item_set	(void);

#endif /* __PREFS_COMMON_H__ */
